Last Comment Bug 801272 - Sync default preferences for OSX plugins from Firefox.
: Sync default preferences for OSX plugins from Firefox.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 03:37 PDT by Philip Chee
Modified: 2012-10-15 06:03 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 fixit. (2.12 KB, patch)
2012-10-13 03:46 PDT, Philip Chee
iann_bugzilla: review+
stefanh: feedback+
Details | Diff | Splinter Review

Description Philip Chee 2012-10-13 03:37:07 PDT
Bug 759364 - Run the Silverlight plugin OOP in 32-bit mode on OS X.
Bug 788399 - Always use async drawing for OOP windowless plugins.
Comment 1 Philip Chee 2012-10-13 03:46:47 PDT
Created attachment 671069 [details] [diff] [review]
Patch v1.0 fixit.

> +pref("dom.ipc.plugins.enabled.i386.silverlight.plugin", true);

Bug 759364 - Run the Silverlight plugin OOP in 32-bit mode on OS X.

> When building on OS X 10.7 and up, the linker by default prevents code execution 
> on the heap.  But the Silverlight plugin does execute code on the heap, and 
> crashes on startup when heap execution is forbidden.
> 
> In the patch for bug 753248 we've stopped the 10.7-and-up linker from preventing 
> heap execution in the plugin-container process, but not in the main process.  We 
> don't want to lose the protection against heap execution in the main process 
> (where most of our code runs), but think it's a reasonable compromise to allow 
> it in the plugin-container process.  (Chrome behaves similarly -- see bug 753248 
> comment #50.)
> 
> This means that Silverlight doesn't crash in 64-bit mode (where it runs out of 
> process).  But currently Silverlight defaults to running in-process in 32-bit 
> mode on the Mac, so it always crashes (and brings down the browser) in 32-bit 
> mode.
> 
> Though we don't really support running in 32-bit mode, we gain flexibility by 
> making Silverlight run out-of-process in 32-bit mode.

> -#ifdef XP_MACOSX
> -pref("plugins.use_layers", true);
> -#endif

Bug 788399 - Always use async drawing for OOP windowless plugins.
Comment 2 Ian Neal 2012-10-14 10:00:08 PDT
Comment on attachment 671069 [details] [diff] [review]
Patch v1.0 fixit.

I'd like someone that uses OSX to provide feedback if possible.
Comment 3 Stefan [:stefanh] 2012-10-14 10:17:53 PDT
Comment on attachment 671069 [details] [diff] [review]
Patch v1.0 fixit.

Makes sense - thanks for fixing it.
Comment 4 Philip Chee 2012-10-15 06:03:34 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/0f6e6a254a9e

Note You need to log in before you can comment on or make changes to this bug.